package com.fs.course.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.FsBlackTalent;
import com.fs.course.param.FsBlackTalentAuditParam;
import com.fs.course.vo.FsBlackTalentPVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 达人或视频举报拉黑功能Mapper接口
 * 
 * @author fs
 * @date 2025-08-17
 */
public interface FsBlackTalentMapper extends BaseMapper<FsBlackTalent>{
    /**
     * 查询达人或视频举报拉黑功能
     * 
     * @param id 达人或视频举报拉黑功能主键
     * @return 达人或视频举报拉黑功能
     */
    FsBlackTalent selectFsBlackTalentById(Long id);

    /**
     * 查询达人或视频举报拉黑功能列表
     * 
     * @param fsBlackTalent 达人或视频举报拉黑功能
     * @return 达人或视频举报拉黑功能集合
     */
    List<FsBlackTalent> selectFsBlackTalentList(FsBlackTalent fsBlackTalent);

    List<FsBlackTalentPVO> selectFsBlackTalentPVOList(FsBlackTalent fsBlackTalent);
    /**
     * 新增达人或视频举报拉黑功能
     * 
     * @param fsBlackTalent 达人或视频举报拉黑功能
     * @return 结果
     */
    int insertFsBlackTalent(FsBlackTalent fsBlackTalent);

    /**
     * 修改达人或视频举报拉黑功能
     * 
     * @param fsBlackTalent 达人或视频举报拉黑功能
     * @return 结果
     */
    int updateFsBlackTalent(FsBlackTalent fsBlackTalent);

    /**
     * 删除达人或视频举报拉黑功能
     * 
     * @param id 达人或视频举报拉黑功能主键
     * @return 结果
     */
    int deleteFsBlackTalentById(Long id);

    /**
     * 批量删除达人或视频举报拉黑功能
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsBlackTalentByIds(Long[] ids);

    int deleteFsBlackVideo(@Param("userId")String userId, @Param("videoId") String videoId);

    int deleteFsBlackTalent(@Param("userId")String userId,@Param("talentId") String talentId);

    int audit(@Param("map") FsBlackTalentAuditParam fsBlackTalentAuditParam);

    List<FsBlackTalent> selectBlackAndReportVideoIdsByUserId(@Param("userId") Long userId);

    int selectBlackTalent(@Param("talentId") Long talentId,@Param("loginUserId") Long loginUserId);
}
